rootProject.name=core-data-e-2
profile=dev
assertj_version=3.6.2
awaitility_version=2.0.0
commons_lang_version=3.5
commons_io_version=2.5
cucumber_version=1.2.4
logstash_logback_encoder_version=4.8
javax_transaction_version=1.2
json_path_version=0.9.1
jhipster_server_version=1.1.1
geronimo_javamail_1_4_mail_version=1.8.4
hibernate_version=5.2.8.Final
hikaricp_version=2.6.0
liquibase_slf4j_version=2.0.0
liquibase_hibernate5_version=3.6
metrics_spring_version=3.1.3
node_version=6.10.0
npm_version=4.3.0
prometheus_simpleclient_version=0.0.20
postgresql_version=9.4.1212
spring_security_oauth2_version=2.0.12.RELEASE
springfox_version=2.6.1
spring_boot_version=1.5.2.RELEASE
gatling_version=2.2.3
mapstruct_version=1.1.0.Final
undertow_version=1.4.10.Final
yarn_version=0.21.3

## below are some of the gradle performance improvement settings that can be used as required, these are not enabled by default

## The Gradle daemon aims to improve the startup and execution time of Gradle.
## The daemon is enabled by default in Gradle 3+ setting this to false will disable this.
## TODO: disable daemon on CI, since builds should be clean and reliable on servers
## https://docs.gradle.org/current/userguide/gradle_daemon.html#sec:ways_to_disable_gradle_daemon
## un comment the below line to disable the daemon

#org.gradle.daemon=false

## Specifies the JVM arguments used for the daemon process.
## The setting is particularly useful for tweaking memory settings.
## Default value: -Xmx1024m -XX:MaxPermSize=256m
## un comment the below line to override the daemon defaults

#org.gradle.jvmargs=-Xmx1024m -XX:MaxPermSize=256m -XX:+HeapDumpOnOutOfMemoryError -Dfile.encoding=UTF-8

## When configured, Gradle will run in incubating parallel mode.
## This option should only be used with decoupled projects. More details, visit
## http://www.gradle.org/docs/current/userguide/multi_project_builds.html#sec:decoupled_projects
## un comment the below line to enable parallel mode

#org.gradle.parallel=true

## Enables new incubating mode that makes Gradle selective when configuring projects.
## Only relevant projects are configured which results in faster builds for large multi-projects.
## http://www.gradle.org/docs/current/userguide/multi_project_builds.html#sec:configuration_on_demand
## un comment the below line to enable the selective mode

#org.gradle.configureondemand=true
